Results 1 to 10 of 10
Discuss 3GS (4.0) How to jail break? at the Blacksn0w (3G(S) unlock) - Hackint0sh.org; Hi Guys Firstly great site and secondly thank you in advance for any help. I ...
  1. #1
    Newbie Array

    Join Date
    Jul 2010
    Posts
    4
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default 3GS (4.0) How to jail break?

    Hi Guys

    Firstly great site and secondly thank you in advance for any help.

    I have iPhone 3GS.
    Version: 4.0
    Carrier: o2 7.1
    Model: MC132B

    I have not jail broken the phone before but would like to now.

    I have done some Googling and most guides refer to phones that are already jail broken, as they utilise exploits that existed previously.

    Could anyone point me to a guide for my current version that would suit a new comer.

    Much appreciated.



  2. #2
    Super Moderator Array n1ckn4m3's Avatar

    Join Date
    Mar 2009
    Location
    USA
    Posts
    2,717
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    145

    Default

    Odds are there is no supported jailbreak for you yet. To jailbreak a 3GS on iOS 4.0, you need to have an SHSH on file for 3.1.2 or 3.1.3 and have an old bootrom device. Without the SHSH, or if you have a new bootrom device, you will be unable to jailbreak the 3GS until the new tools are released.

    Do you know what version bootrom the phone has? 359.3 is the old one, 359.3.2 is the new one. If you've got 359.3 and you've got an SHSH for 3.1.2 or 3.1.3, then you can jailbreak using redsn0w or PwnageTool on 3.1.2 or Spirit + Spirit2Pwn on 3.1.3, then restore a custom iOS 4.0 created with PwnageTool to the device.
    The preceding forum post has been brought to you by the letter "N" and the number 42.

    iPhone 4, 32GB (iOS 6.1.2 | evasi0n | SHSH: 4.0 - 6.1.2)
    iPad 2 3G, 64GB (iOS 6.1.2 | evasi0n
    |
    SHSH: 4.3 & 4.3.3 - 6.1)

    Restore problems? Read this: http://www.hackint0sh.org/f137/130802.htm

    Did we solve your problem? Got a dollar or two spare? Please Donate!


  3. #3
    Newbie Array

    Join Date
    Jul 2010
    Posts
    4
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Hi

    Thanks for the response, I am in the process of finding out the bootrom version now.

    Will post when I know.

    Hope it is possible.

    Thank

    A

  4. #4
    Super Moderator Array n1ckn4m3's Avatar

    Join Date
    Mar 2009
    Location
    USA
    Posts
    2,717
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    145

    Default

    Do you have any SHSH files backed up either locally or on saurik's server? Even if you have an old bootrom phone, if it's not currently jailbroken / pwned and you do not have the SHSH files backed up, you will be unable to downgrade from iOS 4.0 to 3.1.2 or 3.1.3, which is required in order to jailbreak+pwn, which is required in order to upgrade to a custom (jailbroken) iOS 4.0.
    The preceding forum post has been brought to you by the letter "N" and the number 42.

    iPhone 4, 32GB (iOS 6.1.2 | evasi0n | SHSH: 4.0 - 6.1.2)
    iPad 2 3G, 64GB (iOS 6.1.2 | evasi0n
    |
    SHSH: 4.3 & 4.3.3 - 6.1)

    Restore problems? Read this: http://www.hackint0sh.org/f137/130802.htm

    Did we solve your problem? Got a dollar or two spare? Please Donate!


  5. #5
    Newbie Array

    Join Date
    Jul 2010
    Posts
    4
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Hi Guys

    Iím back. Sorry for slow reply, been away on business.

    Finally had a good look around my phone and done some research, as n1ckn4m3 said, I still donít think there is any jail break for my phone yet.

    Baseband: 05.13.04
    Bootloader: 6.4

    Does any have any idea if anything can be done with these?

    Im looking for a fool proof guide, as I am new to this.

    Thank you in advance for any help.


  6. #6
    Super Moderator Array n1ckn4m3's Avatar

    Join Date
    Mar 2009
    Location
    USA
    Posts
    2,717
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    145

    Default

    Neither of those are the information we'd need in order to determine whether you had an available jailbreak -- the baseband and bootloader are not the bootrom, and that's the key piece of information. See below:

    How to check your iPhone's bootrom using Windows:

    Put your iPhone into DFU mode (how to/tutorial for this step at iClarified).

    Then go to Start -> Control Panel -> System -> Hardware -> Device Manager on your Windows machine.

    Look for 'Universal Serial Bus (USB) Controller', you will find 'Apple Mobile Device USB Driver' as a subitem there.

    Right Click and choose 'Properties', navigate to 'Details' tab and select Device Instance Path from the dropdown list box. At the end of this information string you will find the bootrom version, e.g. [iBoot-359.x].

    If it says [iBoot-359.3] you have the old bootrom and can jailbreak 4.0 AS LONG AS you have your 3.1.2 or 3.1.3 SHSH. If you don't have your SHSH and you're running 4.0, you cannot jailbreak. If it says [iBoot-359.3.2], you have the new bootrom and do not have a supported jailbreak at present.
    The preceding forum post has been brought to you by the letter "N" and the number 42.

    iPhone 4, 32GB (iOS 6.1.2 | evasi0n | SHSH: 4.0 - 6.1.2)
    iPad 2 3G, 64GB (iOS 6.1.2 | evasi0n
    |
    SHSH: 4.3 & 4.3.3 - 6.1)

    Restore problems? Read this: http://www.hackint0sh.org/f137/130802.htm

    Did we solve your problem? Got a dollar or two spare? Please Donate!


  7. #7
    Newbie Array

    Join Date
    Jul 2010
    Location
    ny
    Posts
    1
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default new to this

    i have a g3s on 4.0 new bootrom. i could use some help, from what ive seen i guess i cant downgrade, unlock, jailbreak, or get my ecid. or any of the software to get it ither. anyone know how to get the shsh so when the new software is released im not screwed again.
    Last edited by xpip4000x; 07-25-2010 at 04:46 PM.

  8. #8
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    Quote Originally Posted by xpip4000x View Post
    i have a g3s on 4.0 new bootrom. i could use some help, from what ive seen i guess i cant downgrade, unlock, jailbreak, or get my ecid. or any of the software to get it ither. anyone know how to get the shsh so when the new software is released im not screwed again.
    You can get your ECID and SHSH TinyUmbrella does this

    How did you determine you have new bootrom ? Serial number is not 100% accurate.
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!

  9. #9
    Newbie Array

    Join Date
    Jul 2010
    Posts
    4
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Hi n1ckn4m3

    Thank you for the information, apologies for getting it wrong. I put my iPhone in UDF mode and it does have 359.3 bootrom!

    So very happy about that.

    Now the bit about the SHSH files. I downloaded TinyUmberlla and saved my current SHSH file, but your post says I would need older ones from the previous OS, 3.1.2 or 3.1.3.

    Unfortunately I do not have these. So I am assuming this means I cannot jail break?

    Thank you for your help.

  10. #10
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    Via advanced mode in TinyUmbrella you can query Cydia to see if it has a cached SHSH for 3.1.3 or 3.1.2

    If you don't have these - need to wait for new jailbreak.
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!


 

 

Similar Threads

  1. can you jail break 3gs with 3.0
    By grantsmith in forum General
    Replies: 1
    Last Post: 06-20-2009, 05:09 PM
  2. jail break for 3G iphone
    By blackcivic02 in forum Quickpwn 3G
    Replies: 4
    Last Post: 12-24-2008, 02:16 PM
  3. [1.0.2 Oob] Upgraded To 1.1.1 Can't Jail Break?
    By tanker69 in forum iPhone "2G" (Rev. 1)
    Replies: 0
    Last Post: 02-09-2008, 04:16 AM
  4. [OTB 1.1.2] Jail Break and use for AT&T
    By x0bry7x in forum iPhone "2G" (Rev. 1)
    Replies: 2
    Last Post: 02-08-2008, 12:32 AM
  5. Can't Break Jail Twice! Help...
    By Phredd in forum General
    Replies: 2
    Last Post: 07-15-2007, 02:31 AM

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 01:21 AM.
twitter, follow us!